/* 
   Copyright (C) 1994,1995 Free Software Foundation, Inc.
   Written by Christian A. Ratliff

   This file is part of the gwbasic translator.

   The gwbasic translator is free software; you can redistribute it
   and/or modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 1, or
   (at your option) any later version.

   The gwbasic translator is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with gwb; see the file COPYING.  If not, write to the Free
   Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/*
 * $Id: gwb_interpreter.h,v 1.2 1995/02/10 13:41:10 ratlifc Exp $
 */

#include "gwbasic.h"

typedef struct {
  int opcode;
  char *name;
} gwb_optable;

gwb_optable gwb_ops[] = {
  0x81, "END",
  0x82, "FOR",
  0x83, "NEXT",
  0x84, "DATA",
  0x85, "INPUT",
  0x86, "DIM",
  0x87, "READ",
  0x89, "GOTO",
  0x8b, "IF",
  0x8d, "GOSUB",
  0x8e, "RETURN",
  0x8f, "REM",
  0x91, "PRINT",
  0x92, "LEN",
  0x95, "ON",
  0x97, "DEF",
  0x9d, "LPRINT",
  0xa0, "WIDTH",
  0xa1, "ELSE",
  0xb9, "RANDOMIZE",
  0xbf, "COLOR",
  0xc0, "CLS",
  0xc8, "SCREEN",
  0xc9, "KEY",
  0xca, "LOCATE",
  0xcc, "TO",
  0xcd, "THEN",
  0xce, "TAB(",
  0xcf, "STEP",
  0xd6, "STRING$",
  0xdc, "POINT",
  0xdd, "OFF",
  0xde, "INKEY$",
  0xe6, ">",
  0xe7, "=",
  0xe8, "<",
  0xe9, "+",
  0xea, "-",
  0xeb, "*",
  0xec, "/",
  0xef, "OR",
  0xfe, "TIMER",
  0xff, " DUOP ",
  0x00, 0
  };

gwb_optable gwb_duops[] = {
  0x83, "MID$",
  0x85, "INT",
  0x88, "RND",
  0x92, "LEN",
  0x95, "ASC",
  0x96, "CHR$",
  0x97, "PEEK",
  0x00, 0
  };



/*
 * $Log: gwb_interpreter.h,v $
 * Revision 1.2  1995/02/10  13:41:10  ratlifc
 * moved header elements to global gwbasic.h header
 *
 * Revision 1.1  1995/02/08  23:06:35  ratlifc
 * initial transfer to gwbasic 2.0
 *
 */

